package com.ynet.life.sujrb.action;

import com.ibm.icu.text.SimpleDateFormat;
import com.itextpdf.text.Chunk;
import com.itextpdf.text.Document;
import com.itextpdf.text.DocumentException;
import com.itextpdf.text.Font;
import com.itextpdf.text.PageSize;
import com.itextpdf.text.Paragraph;
import com.itextpdf.text.pdf.BaseFont;
import com.itextpdf.text.pdf.PdfPCell;
import com.itextpdf.text.pdf.PdfPTable;
import com.itextpdf.text.pdf.PdfWriter;
import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.life.base.LifeAction;
import com.ynet.life.base.LifeStandard;
import com.ynet.life.base.Trace;
import com.ynet.life.exception.TranFailException;
import com.ynet.life.file.LifeFile;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.util.Date;
import java.util.Random;

/* loaded from: com_ynet_life_sujrb_action.jar:com/ynet/life/sujrb/action/RentRecordDownAction.class */
public class RentRecordDownAction extends LifeAction {
    public String execute(Context context) throws GENEException {
        try {
            String financeName = (String) context.getDataValue("financeName");
            String creGuaName = (String) context.getDataValue("creGuaName");
            String recordNo = (String) context.getDataValue("recordNo");
            String corName = (String) context.getDataValue("corName");
            String loaStartDate = (String) context.getDataValue("loaStartDate");
            String loaEndDate = (String) context.getDataValue("loaEndDate");
            String loaAmt = (String) context.getDataValue("loaAmt");
            String loaReceiptNo = (String) context.getDataValue("loaReceiptNo");
            String rentNo = (String) context.getDataValue("rentNo");
            String loaPolicynum = (String) context.getDataValue("loaPolicynum");
            SimpleDateFormat sdf = new SimpleDateFormat("yyyy");
            Date dataYear = new Date();
            String year = sdf.format(dataYear);
            String recordNo2 = String.format("%06d", Integer.valueOf(Integer.parseInt(recordNo)));
            String fileName = String.valueOf(financeName) + "信保租（" + year + "）第（" + recordNo2 + "）号.pdf";
            String rootPath = LifeStandard.getSelfDefineSettingsValue("tempDownloadDir");
            String folder = String.valueOf(LifeStandard.getServerTime("yyyyMMddHHmmssSSS")) + new Random().nextInt(1000000000) + LifeFile.DIR_SEPARATOR;
            LifeFile.makeMultiDirectory(rootPath, folder);
            String filePath = String.valueOf(rootPath) + folder + fileName;
            Document document = new Document(PageSize.A4, 80.0f, 80.0f, 60.0f, 10.0f);
            PdfWriter pdfw = null;
            try {
                try {
                    pdfw = PdfWriter.getInstance(document, new FileOutputStream(filePath));
                    document.open();
                    BaseFont bfChi = BaseFont.createFont("STSong-Light", "UniGB-UCS2-H", false);
                    Font fontChi_nl_12 = new Font(bfChi, 12.0f, 0);
                    Font fontChi_nl_14 = new Font(bfChi, 14.0f, 0);
                    Font fontChi_bd = new Font(bfChi, 16.0f, 1);
                    Font fontChi_bd_12 = new Font(bfChi, 12.0f, 1);
                    Font fontChi_bd_ul_12 = new Font(bfChi, 12.0f, 4);
                    Paragraph prh = new Paragraph();
                    prh.setAlignment(0);
                    prh.setSpacingAfter(15.0f);
                    document.add(prh);
                    Paragraph prh2 = new Paragraph("承保项目备案表", fontChi_bd);
                    prh2.setAlignment(1);
                    prh2.setSpacingAfter(12.0f);
                    document.add(prh2);
                    Paragraph prh3 = new Paragraph("          编号     " + financeName + "“信保租”（" + year + "）第（" + recordNo2 + "）号", fontChi_nl_12);
                    prh3.setAlignment(5);
                    prh3.setSpacingAfter(6.0f);
                    document.add(prh3);
                    Paragraph prh4 = new Paragraph("苏州市信用再担保有限公司：", fontChi_nl_14);
                    prh4.setAlignment(23);
                    prh4.setSpacingAfter(6.0f);
                    document.add(prh4);
                    Paragraph prh5 = new Paragraph("下述项目我行已落实放款条件并放款，现申请对其进行备案。", fontChi_nl_14);
                    prh5.setAlignment(0);
                    prh5.setSpacingAfter(6.0f);
                    document.add(prh5);
                    PdfPTable table = new PdfPTable(4);
                    float[] ffWith = {70.0f, 40.0f, 60.0f, 55.0f};
                    table.setTotalWidth(ffWith);
                    table.setSpacingAfter(15.0f);
                    table.setWidthPercentage(100.0f);
                    Paragraph paragraph = new Paragraph("贷款企业名称", fontChi_nl_12);
                    paragraph.setAlignment(0);
                    table.addCell(paragraph);
                    PdfPCell cell = new PdfPCell(new Paragraph(corName, fontChi_bd_12));
                    cell.setColspan(3);
                    table.addCell(cell);
                    Paragraph paragraph2 = new Paragraph("合作担保（保险）公司", fontChi_nl_12);
                    paragraph2.setAlignment(0);
                    table.addCell(paragraph2);
                    PdfPCell cell2 = new PdfPCell(new Paragraph(creGuaName, fontChi_bd_12));
                    cell2.setColspan(3);
                    table.addCell(cell2);
                    Paragraph paragraph3 = new Paragraph("贷款起始日", fontChi_nl_12);
                    paragraph3.setAlignment(0);
                    table.addCell(paragraph3);
                    Paragraph paragraph4 = new Paragraph(loaStartDate, fontChi_bd_12);
                    paragraph4.setAlignment(0);
                    table.addCell(paragraph4);
                    Paragraph paragraph5 = new Paragraph("贷款到期日", fontChi_nl_12);
                    paragraph5.setAlignment(0);
                    table.addCell(paragraph5);
                    Paragraph paragraph6 = new Paragraph(loaEndDate, fontChi_bd_12);
                    paragraph6.setAlignment(0);
                    table.addCell(paragraph6);
                    Paragraph paragraph7 = new Paragraph("贷款金额（万元）", fontChi_nl_12);
                    paragraph7.setAlignment(0);
                    table.addCell(paragraph7);
                    Paragraph paragraph8 = new Paragraph(loaAmt, fontChi_bd_12);
                    paragraph8.setAlignment(0);
                    table.addCell(paragraph8);
                    Paragraph paragraph9 = new Paragraph("融资租赁合同编号", fontChi_nl_12);
                    paragraph9.setAlignment(0);
                    table.addCell(paragraph9);
                    Paragraph paragraph10 = new Paragraph(rentNo, fontChi_bd_12);
                    paragraph10.setAlignment(0);
                    table.addCell(paragraph10);
                    Paragraph paragraph11 = new Paragraph("借款/承兑合同号", fontChi_nl_12);
                    paragraph11.setAlignment(0);
                    table.addCell(paragraph11);
                    Paragraph paragraph12 = new Paragraph(loaReceiptNo, fontChi_bd_12);
                    paragraph12.setAlignment(0);
                    table.addCell(paragraph12);
                    if (loaPolicynum == null) {
                        loaPolicynum = "";
                    }
                    Paragraph paragraph13 = new Paragraph("保证合同号", fontChi_nl_12);
                    paragraph13.setAlignment(0);
                    table.addCell(paragraph13);
                    Paragraph paragraph14 = new Paragraph(loaPolicynum, fontChi_bd_12);
                    paragraph14.setAlignment(0);
                    table.addCell(paragraph14);
                    document.add(table);
                    Paragraph paragraph15 = new Paragraph("备案人承诺：", fontChi_nl_12);
                    paragraph15.setAlignment(0);
                    paragraph15.setSpacingAfter(24.0f);
                    document.add(paragraph15);
                    Paragraph paragraph16 = new Paragraph("1、我行填报的上述材料真实、准确、合法。", fontChi_nl_12);
                    paragraph16.setAlignment(0);
                    paragraph16.setSpacingAfter(24.0f);
                    document.add(paragraph16);
                    Paragraph paragraph17 = new Paragraph("2、承保业务类型为“信保租”业务。", fontChi_nl_12);
                    paragraph17.setAlignment(0);
                    paragraph17.setSpacingAfter(24.0f);
                    document.add(paragraph17);
                    Paragraph paragraph18 = new Paragraph();
                    Chunk chunk_unl = new Chunk(financeName, fontChi_bd_ul_12);
                    Chunk chunk = new Chunk(" ", fontChi_nl_12);
                    paragraph18.add(chunk_unl);
                    paragraph18.add(chunk);
                    paragraph18.setAlignment(2);
                    paragraph18.setSpacingAfter(6.0f);
                    document.add(paragraph18);
                    Paragraph paragraph19 = new Paragraph("经办人：                                 ", fontChi_nl_12);
                    paragraph19.setAlignment(2);
                    paragraph19.setSpacingAfter(6.0f);
                    document.add(paragraph19);
                    Paragraph paragraph20 = new Paragraph("日期：   年      月        日", fontChi_nl_12);
                    paragraph20.setAlignment(2);
                    paragraph20.setSpacingAfter(60.0f);
                    document.add(paragraph20);
                    Paragraph paragraph21 = new Paragraph("---------------------------------------------------------------------------------------", fontChi_nl_12);
                    paragraph21.setAlignment(0);
                    paragraph21.setSpacingAfter(6.0f);
                    document.add(paragraph21);
                    Paragraph paragraph22 = new Paragraph("承保项目备案表回执", fontChi_bd);
                    paragraph22.setAlignment(1);
                    paragraph22.setSpacingBefore(9.0f);
                    paragraph22.setSpacingAfter(6.0f);
                    document.add(paragraph22);
                    Paragraph paragraph23 = new Paragraph("致                   " + financeName + "：", fontChi_nl_14);
                    paragraph23.setAlignment(0);
                    paragraph23.setSpacingAfter(6.0f);
                    document.add(paragraph23);
                    Paragraph paragraph24 = new Paragraph("我司已收到贵行签发的编号为：           " + financeName + "“信保租”（   " + year + "   ）第（   " + recordNo2 + "   ）号 的   《承保项目备案表》。", fontChi_nl_14);
                    paragraph24.setAlignment(0);
                    paragraph24.setSpacingAfter(6.0f);
                    document.add(paragraph24);
                    Paragraph paragraph25 = new Paragraph("苏州市信用再担保有限公司", fontChi_nl_14);
                    paragraph25.setAlignment(2);
                    paragraph25.setSpacingAfter(6.0f);
                    document.add(paragraph25);
                    Paragraph paragraph26 = new Paragraph(" 收件人：                                 ", fontChi_nl_14);
                    paragraph26.setAlignment(2);
                    paragraph26.setSpacingAfter(6.0f);
                    document.add(paragraph26);
                    Paragraph paragraph27 = new Paragraph("日     期：          年    月    日", fontChi_nl_14);
                    paragraph27.setAlignment(2);
                    paragraph27.setSpacingAfter(6.0f);
                    document.add(paragraph27);
                    document.close();
                    pdfw.flush();
                    pdfw.close();
                    context.put("recordFileName", fileName);
                    context.put("recordDownPath", filePath);
                    context.put("recordNo", recordNo2);
                    return "0";
                } finally {
                    document.close();
                    if (pdfw != null) {
                        pdfw.flush();
                        pdfw.close();
                    }
                }
            } catch (FileNotFoundException e) {
                Trace.log("LifeFile", "文件" + filePath + "未找到");
                throw e;
            } catch (IOException e2) {
                Trace.log("LifeFile", "文件" + filePath + "I/O失败");
                throw e2;
            } catch (DocumentException e3) {
                Trace.log("LifeFile", "承保项目备案模板文件创建失败");
                throw e3;
            }
        } catch (Exception e4) {
            Trace.logError("LifeAction", "RZPT90002:租赁承包项目备案模板下载处理出错", e4);
            throw new TranFailException("RZPT90002", "租赁承包项目备案模板下载处理出错", false);
        }
    }
}
